IANA Considerations for Internet Group Management Protocols
RFC 9778
BCP 57
Brian Haberman, Ed.
Johns Hopkins University Applied Physics Lab
brian@innovationslab.net
March 2025
RTG
pim
This document specifies revised IANA considerations for the Internet Group Management Protocol (IGMP) and the Multicast Listener Discovery (MLD) protocol. This document specifies the guidance provided to IANA to manage values associated with various fields within the protocol headers of the group management protocols.
This document obsoletes RFC 3228 and unifies guidelines for IPv4 and IPv6 group management protocols.
Introduction
The sections that follow describe the allocation guidelines associated with the specified fields within the Internet Group Management Protocol (IGMP) [STD100] and the Multicast Listener Discovery (MLD) [STD101] headers. Some of these registries were created previously, while others are created by this document.
This document obsoletes [RFC3228] and unifies guidelines for IPv4 and IPv6 group management protocols.
Conventions Used in This Document
The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT", "SHOULD", "SHOULD NOT", "RECOMMENDED", "NOT RECOMMENDED", "MAY", and "OPTIONAL" in this document are to be interpreted as described in BCP 14 [RFC2119] [RFC8174] when, and only when, they appear in all capitals, as shown here.
IANA Considerations
The registration procedures used in this document are defined in [RFC8126].
Type and Code Fields
Internet Group Management Protocol
The IGMP header contains the following fields that carry values assigned from IANA-managed name spaces: Type and Code. Code field values are defined relative to a specific Type value.
[RFC3228] created the "IGMP Type Numbers" registry for the IGMP Type field. This document updates that registry in two ways:
- The registration procedure has been changed to Standards Action.
- The references to [RFC3228], including the reference for the registry, have been changed to this document.
[RFC3228] created the '"Code" Fields' registry for Code values for existing IGMP Type fields. This document updates that registry in two ways:
- The registration procedure has been changed to Standards Action.
- The reference for the registry has been changed to this document.
Note that the policy for assigning Code values for new IGMP Types MUST be defined in the document defining the new Type value.
Multicast Listener Discovery
As with IGMP, the MLD header also contains Type and Code fields. Assignment of those fields within the MLD header is defined in [RFC4443] with a registration policy of IETF Review; see <https://www.iana.org/assignments/icmpv6-parameters>.
IGMP/MLD Query Message Flags
IANA has created the "IGMP/MLD Query Message Flags" registry for the bits in the Flags field of the MLDv2 Query Message [STD101] and the IGMPv3 Query Message [STD100]. It has been populated as follows:
IGMP/MLD Query Message Flags Registry
Flags Bit | Short Name | Description | Reference
0 | E | Extension | [RFC9279]
1-3 | Unassigned
The Flags Bit value in the registry above corresponds to the column header in the packet format diagrams in Sections 4.1 and 4.2 of [STD100] and Sections 5.1 and 5.2 of [STD101].
The assignment of new bit flags within the Flags field requires Standards Action.
IGMP/MLD Report Message Flags
IANA has created the "IGMP/MLD Report Message Flags" registry for the bits in the Flags field of the MLDv2 Report Message and the IGMPv3 Report Message. It has been populated as follows:
IGMP/MLD Report Message Flags Registry
Flags Bit | Short Name | Description | Reference
0 | E | Extension | [RFC9279]
1-15 | Unassigned
The Flags Bit value in the registry above corresponds to the column header in the packet format diagrams in [STD101] and [STD100].
The assignment of new bit flags within the Flags field requires Standards Action.
Security Considerations
Security analyzers such as firewalls and network intrusion detection monitors often rely on unambiguous interpretations of the fields described in this memo. As new values for the fields are assigned, existing security analyzers that do not understand the new values may fail, resulting in either loss of connectivity if the analyzer declines to forward the unrecognized traffic or loss of security if it does forward the traffic and the new values are used as part of an attack. This vulnerability argues for high visibility (which the Standards Action process ensures) for the assignments whenever possible.
References
Normative References
[RFC9776]

Internet Group Management Protocol, Version 3
Brian Haberman, Ed.
March 2025
STD 100
RFC 9776
DOI 10.17487/RFC9776
[RFC9777]

Multicast Listener Discovery Version 2 (MLDv2) for IPv6
Brian Haberman, Ed.
March 2025
STD 101
RFC 9777
DOI 10.17487/RFC9777
Informative References
[RFC3228]
[RFC2119]
[RFC8174]
[RFC8126]
[RFC4443]
[RFC9279]
Contributors
Bill Fenner is the author of [RFC3228], which provided a portion of the content contained herein.